Summary:        GUI frontend for sudo/su
Name:           nde-sudo
Version:        0.0.1
Release:        2%{?dist}
License:        LGPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  cmake, gcc, g++, pkgconfig(nde), glib2-devel
BuildRequires:  pkgconfig(Qt5Widgets), qt5-linguist, kf5-kwindowsystem-devel, libstatgrab-devel
Requires:       sudo

%description
%{summary}.

%package l10n
Summary:        Translations for nde-sudo
Requires:       nde-sudo

%description l10n
This package provides translations for the nde-sudo package.



%prep
%autosetup -p1



%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_nde} -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}



%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang nde-sudo --with-qt



%files
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%{_bindir}/nde*
%{_mandir}/man1/nde*.1*

%files l10n -f nde-sudo.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/nde/translations/%{name}



%changelog
* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.1-2
- small fix

* Fri May 15 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- Rename(984)